import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Carrito } from '../../carrito/entity/carrito.entity';
import { Operador } from '../../operador/entity/operador.entity';

@Entity()
export class CarritoMotivo {
  @PrimaryGeneratedColumn()
  id_motivo: number;

  @Column({ type: Date, nullable: false })
  fecha_creacion: Date;

  @Column({ type: Boolean, nullable: false, default: false })
  laboratorioMovil: boolean;

  @Column({ type: String, nullable: false, length: 250 })
  motivo: string;

  @Column({ type: Boolean, nullable: false })
  status: boolean;

  @Column({ type: Number, nullable: true })
  id_carrito: number;

  @Column({ type: Number, nullable: true })
  id_operador: number;

  @ManyToOne(() => Carrito, (carrito) => carrito.motivos)
  @JoinColumn({ name: 'id_carrito' })
  carrito: Carrito;

  @ManyToOne(() => Operador, (operador) => operador.motivosCarrito, {
    eager: true,
  })
  @JoinColumn({ name: 'id_operador' })
  operador: Operador;
}
