import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { EquipoTipoEntrada } from '../equipo-tipo-entrada.entity';
import { TipoEntrada } from '../../../institucion-tipo-entrada/entity/tipo-entrada.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('ete.id_equipo_tipo_entrada', 'id_equipo_tipo_entrada')
      .addSelect('ete.id_equipo', 'id_equipo')
      .addSelect('ete.id_tipo_entrada', 'id_tipo_entrada')
      .addSelect('te.tipo_entrada', 'tipo_entrada')
      .from(EquipoTipoEntrada, 'ete')
      .innerJoin(TipoEntrada, 'te', 'te.id_tipo_entrada = ete.id_tipo_entrada'),
})
export class FullInformacionEquipoTipoEntradaView {
  @ViewColumn()
  id_equipo_tipo_entrada: number;

  @ViewColumn()
  id_equipo: number;

  @ViewColumn()
  id_tipo_entrada: number;

  @ViewColumn()
  tipo_entrada: string;
}
