import {
  IsBoolean,
  IsDateString,
  IsInt,
  IsNotEmpty,
  IsOptional,
  IsString,
  MaxLength,
} from 'class-validator';

export class UpdateModuloDto {
  @IsInt()
  id_modulo: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsString()
  @IsNotEmpty()
  @MaxLength(30)
  @IsOptional()
  modulo?: string;

  @IsString()
  @IsNotEmpty()
  @MaxLength(250)
  @IsOptional()
  motivo?: string;

  @IsInt()
  @IsOptional()
  numero_alumnos?: number;

  @IsString()
  @IsDateString()
  @IsOptional()
  fecha_creacion?: string;
}
