import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { Equipo } from '../../equipo/entity/equipo.entity';
import { EquipoMotivo } from '../../equipo-motivo/entity/equipo-motivo.entity';

@Entity()
export class Status {
  @PrimaryGeneratedColumn()
  id_status: number;

  @Column({ type: String, nullable: false, length: 20 })
  status: string;

  @OneToMany(() => Equipo, (equipo) => equipo.status)
  equipos: Equipo[];

  @OneToMany(() => EquipoMotivo, (motivo) => motivo.status)
  motivos: EquipoMotivo[];
}
